<?php
require "racs.php";
require "vtshowsBBB.php";
session_start();
if(!isset($_SESSION['titles']) || !isset($_SESSION['positions'])|| !isset($_SESSION['usernames'])){
header("location:index.php");}

?>

<html>
<title>RD-Progres Sheet</title>

<head>
<link rel="stylesheet" type="text/css" media="all" href="jsDatePick_ltr.min.css" />
<link rel="stylesheet" type="text/css" media="all" href="jsDatePick_ltr.css" />
<script type="text/javascript" src="jsDatePick.min.1.3.js"></script>
<script src="datesps.js"></script>
<link rel="stylesheet" type="text/css" href="rpmstyless.css">
<script>

function scopys(pr)
{
var dts=document.getElementById("dt");

var sels=window.getSelection();
sels.removeAllRanges();
var ranges=document.createRange();
ranges.selectNodeContents(dts);
sels.addRange(ranges);
document.execCommand("copy");
alert("Copied - successfull");
sels.removeAllRanges();
}


function srgs(pr)
{
var sv=document.getElementById('srctxt').value.toLowerCase();
var dt=document.getElementById('dt');
var rn=dt.rows.length;

for(var cnt=1;cnt<rn-1;cnt++){
tvl=dt.rows[cnt].cells[0].innerText.toLowerCase();
rvl=dt.rows[cnt].cells[1].innerText.toLowerCase();
pvl=dt.rows[cnt].cells[2].innerText.toLowerCase();

if(sv.length>1 && (tvl.indexOf(sv)>=0 || rvl.indexOf(sv)>=0 || pvl.indexOf(sv)>=0)){
dt.rows[cnt].style.display='table-row';}
else{
dt.rows[cnt].style.display='none';}
if(sv.length<=1){
dt.rows[cnt].style.display='table-row';}	
}

}


</script>


</head>

<body style='font-family:calibri;font-size:small;'>

<div style='width=30%;height:100%%;'>

<?php


$flt=racs(1);

if($flt=="access failed"){
printf("<div style='font-color:red;'>>Access failed\nContanct Sales and Marketing division</div>");
}
else{
$conn=mysqli_connect("localhost","primarysales","S5L7lF01EQZvQrGK","primarysales_dianaold");

if(isset($_REQUEST['starts'])){
$starts=$_REQUEST['starts'];}
else{
$starts=date('Y-m-01');}

if(isset($_REQUEST['ends'])){
$ends=$_REQUEST['ends'];}
else{
$ends=date('Y-m-t');}

if(isset($_REQUEST['invoices'])){
$invoices=$_REQUEST['invoices'];}
else{
$invoices='all';}

if(isset($_REQUEST['zones'])){
$zones=$_REQUEST['zones'];}
else{
$zones='all';}

if(isset($_REQUEST['chanell'])){
$chanell=$_REQUEST['chanell'];}
else{
$chanell='all';}

if(isset($_REQUEST['regions'])){
$regions=$_REQUEST['regions'];}
else{
$regions='all';}

if(isset($_REQUEST['agents'])){
$agents=$_REQUEST['agents'];}
else{
$agents='all';}

if(isset($_REQUEST['terrys'])){
$terrys=$_REQUEST['terrys'];}
else{
$terrys='all';}

if(isset($subregions)){
$subregions=$_REQUEST['subregions'];}
else{
$subregions='all';}

if(isset($_REQUEST['agenttypes'])){
$agenttypes=$_REQUEST['agenttypes'];}
else{
$agenttypes='all';}

if(isset($_REQUEST['items'])){
$items=$_REQUEST['items'];}
else{
$items='all';}

if(isset($_REQUEST['ranges'])){
$ranges=$_REQUEST['ranges'];}
else{
$ranges='all';}

if(isset($_REQUEST['subranges'])){
$subranges=$_REQUEST['subranges'];}
else{
$subranges='all';}

#$flt=racs(1);

if(strtolower($zones)!='all'){
$flt=$flt." and zones='".$zones."' ";}
if(strtolower($chanell)!='all'){
$flt=$flt." and chanell='".$chanell."' ";}
if(strtolower($regions)!='all'){
$flt=$flt." and regions='".$regions."' ";}
if(strtolower($subregions)!='all'){
$flt=$flt." and sub_regions='".$subregions."' ";}
if(strtolower($agents)!='all'){
$flt=$flt." and agent_names='".$agents."' ";}
if(strtolower($agenttypes)!='all'){
$flt=$flt." and agent_types='".$agenttypes."' ";}
if(strtolower($terrys)!='all'){
$flt=$flt." and territory_names='".$terrys."' ";}
if(strtolower($items)!='all'){
$flt=$flt." and item_names='".$items."' ";}
if(strtolower($ranges)!='all'){
$flt=$flt." and item_ranges='".$ranges."' ";}
if(strtolower($subranges)!='all'){
$flt=$flt." and sub_ranges='".$subranges."' ";}
if(strtolower($invoices)!='all'){
$flt=$flt." and invoice_number='".$invoices."' ";}


stps('pr');
printf("<div class='sds'>");
rdentrydash(1);
printf("</div>");
printf("<div class='mnf'>");

printf("<div style='font-size:16;color:#006699;border-bottom:1px solid silver;width:30%%;'>$agents RD-Progres sheet Data [Manual Entry Only]</div>");
//printf("<div style='font-size:16;color:#006699;border-bottom:1px solid silver;width:30%%;'>Invoice Number-$invoices</div>");


$tv=0;
$tz=0;
$arr=array();

printf("<BR><BR>");
$sprt="&zones=".$zones."&regions=".$regions."&subregions=".$subregions."&agents=".$agents."&agenttypes=".$agenttypes."&terrys=".$terrys."&ranges=".$ranges."&items=".$items."&subranges=".$subranges;

printf("<div style='width:90%%;height:5%%;border:0px solid silver;border-radius:2px;display:table;vertical-align:middle;'>");

printf("<form method='post' action='rdprogressheetrddata.php?actp=rpt%s'><table style='width:100%%;font-size:13;'>",$sprt);
printf("<tr><td style='color:grey;'>Select the date range</td><td width=5%%><input type='text' id='inputField' value='%s' name='starts' size=8 style='font-size:13;background:#CACACA;border:1px solid #006699;border-radius:1px;font-family:calibri;color:#006699;'></td><td width=1%%>-</td><td width=5%%><input type='text' id='inputField2' value='%s' name='ends' size=8 style='font-size:13;background:#CACACA;border:1px solid #006699;border-radius:1px;font-family:calibri;color:#006699;'></td><td>
<input type='submit' value='Go' style='font-size:13;background:#CACACA;color:#006699;border:1.5px solid #006699;border-radius:1pxfont-size:13;'></form>",$starts,$ends);

printf("<td width=40%% align='right' style='color:grey;'>Search</td><td width=20%%>
<input type='text' id='srctxt' size=28 style='font-family:calibri;font-size:14;border:1px solid silver;border-radius:1.5px;' onkeyup=\"srgs(event)\"></td><td style='font-size:12;color:green;text-align:center;background:silver;border:1px solid white;' onclick=\"scopys(1)\">Copy</td></tr>");
printf("</table>");

printf("<table id='dt' style='width:100%%;font-size:13;border-collapse:collapse;color:#006699;'>
<tr style='background:silver;border:1px solid white;text-align:right;'><td style='border:1px solid white;text-align:center;'>Date</td>
<td style='border:1px solid white;text-align:center;'>Area</td>
<td style='border:1px solid white;text-align:center;'>Region</td>
<td style='border:1px solid white;text-align:center;'>Distributor</td>
<td style='border:1px solid white;text-align:center;'>Range</td>
<td style='border:1px solid white;text-align:center;'>Product</td>
<td style='border:1px solid white;text-align:center;'>Kg's</td>
<td style='border:1px solid white;text-align:center;'>RD-Pcs</td>
<td style='border:1px solid white;text-align:center;'>RD-Boxes</td>
<td style='border:1px solid white;text-align:center;'>Value</td>
<td style='border:1px solid white;'>Free-Pcs</td></tr>");

$sqlst="select dates,agent_names,regions,zones,item_names,sum(pcs_qty) as acvl,sum(free_qtys),item_ranges,sum(pcs_qty * pcs_price) as ValueRd,sum(pcs_qty * packet_weights)/1000 as rdTons,sum(pcs_qty/packets_per_box) as boxes from rd_saleinv ".$flt." and dates>='".$starts."' and dates<='".$ends."' and sfa_ref='' group by item_names,regions,agent_names,zones,dates order by dates";


$tgv=0;
$acv=0;
$tgw=0;
$acw=0;
$acvl=0;
$rdtons=0;

 
$qry=mysqli_query($conn,$sqlst);
while($rst=mysqli_fetch_row($qry)){
$acv=$acv+$rst[5];
$acvv=$acvv+$rst[6];
$acvl=$acvl+$rst[8];
$rdtons=$rdtons+$rst[9];

printf("<tr style='border-bottom:1px solid silver;'>
<td>%s</td>
<td>%s</td>
<td>%s</td>
<td>%s</td>
<td>%s</td>
<td>%s</td>
<td align='right'>%s</td>
<td align='right'>%s</td>
<td align='right'>%s</td>
<td align='right'>%s</td>
<td align='right'>%s</td>",
$rst[0],$rst[2],$rst[3],$rst[1],$rst[7],$rst[4],number_format($rst[9],2,'.',','),number_format($rst[5],0,'.',','),number_format($rst[10],2,'.',','),number_format($rst[8],2,'.',','),number_format($rst[6],0,'.',','));
}
printf("<tr style='border-bottom:1px solid silver;font-weight:bold;'>
<td>Total</td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td align='right'>%s</td>
<td align='right'>%s</td>
<td></td>
<td align='right'>%s</td>
<td align='right'>%s</td>
</tr></table>",number_format($rdtons,2,'.',','),number_format($acv,0,'.',','),number_format($acvl,0,'.',','),number_format($acvv,0,'.',','));
printf("</div>");
}
?>
</div>
</body>
</html>